- entityDefinitions:
  - IDI_Task_ViewConditionalSelectAttributeMethod: '{b908e2ac-ab0f-4c28-9a1c-8d60e8710d5b}'
  - IDI_Task_EditConditionalSelectAttributeMethod: '{501290dd-989f-4451-91de-a3a2cbdf0a0e}'
  - IDE_ConditionalSelectAttributeMethod_View: '{7e0d0f77-f38e-4ec1-bd4c-58624f294975}'
  - IDE_ConditionalSelectAttributeMethod_Edit: '{14f4ed14-c0ef-4078-adec-2ddcc468efda}'
  - IDE_ConditionalSelectAttributeMethod_Definition: '{dc560ab9-cdc0-46cf-8f17-bb92048fa2ae}'

  - IDBEM_SACCases: '{66fc601b-3d33-4c7e-98d3-7a9ea45dc5fd}'
  - IDBEMP_SACCases: '{97d9f05a-4e6c-4ac0-9eac-03d488dcf42b}'
  - IDMB_Conditional_Select_Attribute_Method__get__Cases: '{926349e5-7dfc-4b4f-9f65-571cde38e450}'
  - IDM_Conditional_Select_Attribute_Method__get__Cases: '{b1cc1a34-d65d-4549-916e-fc6298354d0e}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - getReferencedInstanceSetMethod: '&IDM_Conditional_Select_Attribute_Method__get__Cases;'
    # initialValue: 'Method Example@get Dummy Method Name (BA)*S*P(public)'
    forClassId: '&IDC_ConditionalSelectAttributeMethod;'
    returnsWorkSetId: '&IDI_WorkSet_ConditionalSelectAttributeCaseNonsingular;'
    verb: 'get'
    name: 'Cases'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    referenceInstanceSet: '&IDC_ConditionalSelectAttributeMethod;'
    answerInstanceSet: '&IDR_Conditional_Select_Attribute_Method__has__Conditional_Select_Attribute_Case;'
    singular: no
    
  - returnInstanceSetMethodBinding: '&IDMB_Conditional_Select_Attribute_Method__get__Cases;'
    executesMethod: '&IDM_Conditional_Select_Attribute_Method__get__Cases;'

  - sequenceTask: '&IDI_Task_ViewConditionalSelectAttributeMethod;'
    name: 'View SAC - Conditional Select Attribute Method'
    initiatingElement: '&IDE_ConditionalSelectAttributeMethod_View;'
    taskCategory: '&IDI_TaskCategory_ConditionalSelectAttributeMethod;'

  - sequenceTask: '&IDI_Task_EditConditionalSelectAttributeMethod;'
    name: 'Edit SAC - Conditional Select Attribute Method'
    initiatingElement: '&IDE_ConditionalSelectAttributeMethod_Edit;'
    taskCategory: '&IDI_TaskCategory_ConditionalSelectAttributeMethod;'

  - element: '&IDE_ConditionalSelectAttributeMethod_View;'
    name: 'view sac'
    elementContents:
    # - globalIdentifier: '{1150f80c-1876-4d67-a257-fd3e52bdfa2c}'
    #   defaultDataType: '&IDC_ConditionalSelectAttributeMethod;'
    #   label: 'Method'
    #   displayOptions:
    #   - instance: '&IDI_DisplayOption_NotEnterable;'
    #   - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{548b5ff6-5c85-4922-abbb-586daf0f6536}'
      defaultDataType: '&IDE_Method_Common_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{5afebf01-a45d-4251-9625-10666242be4f}'
      defaultDataType: '&IDE_ConditionalSelectAttributeMethod_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - buildElementMethod: '&IDBEM_SACCases;'
    hasBemProcess: '&IDBEMP_SACCases;'

  - bemProcess: '&IDBEMP_SACCases;'
    name: 'build sac cases'
    loopExecutableReturningInstanceSet: '&IDMB_Conditional_Select_Attribute_Method__get__Cases;' # the GSI, below

  - element: '&IDE_ConditionalSelectAttributeMethod_Definition;'
    name: 'sac subedit'
    label: 'Method Implementation'
    elementContents:
    # - globalIdentifier: '{95576065-74dd-4924-ab2b-440388ad0938}'
    #   defaultDataType: '&IDC_ConditionalSelectAttributeMethod;'
    #   label: 'Method'
    #   displayOptions:
    #   - instance: '&IDI_DisplayOption_NotEnterable;'
    #   - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{f56975eb-94bf-4c6b-b6f7-84f68c1ad464}'
      defaultDataType: '{c4483b3a-cac8-4d87-8fac-8d9cd4e115ed}'
      builtFromBEMProcess: '&IDBEMP_SACCases;'
      label: 'Cases'
      order: a
  
  - element: '{c4483b3a-cac8-4d87-8fac-8d9cd4e115ed}'
    name: 'sac cases'
    elementContents:
    # - globalIdentifier: '{0a4086a9-0517-4596-a2d0-aa7fb53b2e09}'
    #   defaultDataType: '&IDR_Conditional_Select_Attribute_Method__has__Conditional_Select_Attribute_Case;'
    #   label: 'Case Rel'
    #   order: a
    - globalIdentifier: '{0c96d7cd-bcb1-43c0-976d-22060e11e552}'
      defaultDataType: '&IDC_ConditionalSelectAttributeCase;'
      label: 'Case'
      order: b
    - globalIdentifier: '{3c90e614-feb2-4514-afab-17af3979720f}'
      defaultDataType: '&IDR_Condition_Group__has_true_condition__Executable_returning_Work_Data;'
      label: 'True Conditions'
      order: c
    - globalIdentifier: '{b3ce10db-b250-45cc-a030-455ed18bcafd}'
      defaultDataType: '&IDR_Condition_Group__has_false_condition__Executable_returning_Work_Data;'
      label: 'False Conditions'
      order: d
    - globalIdentifier: '{cd44f1ef-4063-4918-8b09-fcddad25ff0b}'
      defaultDataType: '&IDA_UseAnyCondition;'
      label: 'Use Any Condition'
      order: e
    - globalIdentifier: '{7e67d16a-796c-4584-977e-7db7cf277673}'
      defaultDataType: '&IDR_Conditional_Select_Attribute_Case__invokes__Executable_returning_Attribute;'
      label: 'Executable returning Attribute'
      order: f
    - globalIdentifier: '{b33feb99-a641-420f-b1c0-29b353355176}'
      defaultDataType: '&IDA_Comment;'
      label: 'Comment'
      order: g

  - element: '&IDE_ConditionalSelectAttributeMethod_Edit;'
    name: 'edit sac'
    elementContents:
    - globalIdentifier: '{ea605c18-4037-4a3f-922a-f1329f75920c}'
      defaultDataType: '&IDE_Method_Common_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{14be978f-dd11-4bf5-81cc-80b454e0a174}'
      defaultDataType: '&IDE_ConditionalSelectAttributeMethod_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
